Package org.apache.qpid.proton.engine

# Interface ProtonJTransport

All Superinterfaces:
  `Endpoint`, `Extendable`, `Transport`

All Known Implementing Classes:
  `TransportImpl`

public interface ProtonJTransport extends Transport
Extends `Transport` with functionality that is specific to proton-j

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.engine.Transport

`Transport.Factory`

## Field Summary

### Fields inherited from interface org.apache.qpid.proton.engine.Transport

`DEFAULT_MAX_FRAME_SIZE, END_OF_STREAM, MIN_MAX_FRAME_SIZE, SESSION_WINDOW, TRACE_DRV, TRACE_FRM, TRACE_OFF, TRACE_RAW`

## Method Summary

Modifier and Type
Method
Description
`ProtocolTracer`
`getProtocolTracer()`
`void`
`setProtocolTracer(ProtocolTracer protocolTracer)`

### Methods inherited from interface org.apache.qpid.proton.engine.Endpoint

`close, free, getContext, getLocalState, getRemoteCondition, getRemoteState, open, setCondition, setContext`

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

### Methods inherited from interface org.apache.qpid.proton.engine.Transport

`bind, capacity, close_head, close_tail, getChannelMax, getCondition, getFramesInput, getFramesOutput, getIdleTimeout, getInputBuffer, getMaxFrameSize, getOutboundFrameSizeLimit, getOutputBuffer, getRemoteChannelMax, getRemoteIdleTimeout, getRemoteMaxFrameSize, head, input, isClosed, isEmitFlowEventOnSend, output, outputConsumed, pending, pop, process, processInput, sasl, setChannelMax, setEmitFlowEventOnSend, setIdleTimeout, setInitialRemoteMaxFrameSize, setMaxFrameSize, setOutboundFrameSizeLimit, ssl, ssl, tail, tick, trace, unbind`

## Method Details

### setProtocolTracer

void setProtocolTracer(ProtocolTracer protocolTracer)

### getProtocolTracer

ProtocolTracer getProtocolTracer()